Modbot Docs

Get list builder

GET/api/lists/builder

The rule kinds and the roles a list's rules can name.

Needs the ManageLists permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/lists/builder"
{  "ruleKinds": [    "string"  ],  "weightings": [    "string"  ],  "trustRanks": [    "string"  ],  "groupRoles": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "listId": "9fc6ad7d-902a-4834-b161-a4911b883d44",      "listName": "string",      "discordRoleId": "string",      "roleName": null,      "enabled": true,      "given": 0,      "problem": null,      "stoppedAt": null,      "stoppedTaking": null,      "removalsAllowed": null    }  ],  "discordRoles": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "listId": "9fc6ad7d-902a-4834-b161-a4911b883d44",      "listName": "string",      "discordRoleId": "string",      "roleName": null,      "enabled": true,      "given": 0,      "problem": null,      "stoppedAt": null,      "stoppedTaking": null,      "removalsAllowed": null    }  ],  "moderationFactRetentionDays": 0,  "presenceFactRetentionDays": 0}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.